Bug 1175898 - RFE: maven metadata for libsvm-java
Summary: RFE: maven metadata for libsvm-java
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libsvm
Version: rawhide
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Ding-Yi Chen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-12-18 20:36 UTC by Jerry James
Modified: 2015-02-14 02:53 UTC (History)
2 users (show)

Fixed In Version: libsvm-3.20-3.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-30 04:30:11 UTC
Type: Bug


Attachments (Terms of Use)
Patch to install the maven pom (2.08 KB, patch)
2014-12-19 23:08 UTC, Jerry James
no flags Details | Diff

Description Jerry James 2014-12-18 20:36:48 UTC
Description of problem:
I am working on a maltparser package, which consumes libsvm-java.  The maven pom for that package cannot be used, nor the %mvn_install macro, because maven complains that it cannot resolve the dependency tw.edu.ntu.csie:libsvm.  Would you, please, install a maven pom for libsvm-java, as described here?

https://fedoraproject.org/wiki/Packaging:Java#Maven_pom.xml_files

The official repository has a pom for libsvm at http://mvnrepository.com/artifact/tw.edu.ntu.csie/libsvm, but it is a version behind.

I can do the work for you, if you are pressed for time.  Thank you.

Version-Release number of selected component (if applicable):
libsvm-java-3.18-6.fc22

How reproducible:
N/A

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Ding-Yi Chen 2014-12-19 07:00:29 UTC
(In reply to Jerry James from comment #0)
> Description of problem:
> I am working on a maltparser package, which consumes libsvm-java.  The maven
> pom for that package cannot be used, nor the %mvn_install macro, because
> maven complains that it cannot resolve the dependency
> tw.edu.ntu.csie:libsvm.  Would you, please, install a maven pom for
> libsvm-java, as described here?
> 
> https://fedoraproject.org/wiki/Packaging:Java#Maven_pom.xml_files
> 
> The official repository has a pom for libsvm at
> http://mvnrepository.com/artifact/tw.edu.ntu.csie/libsvm, but it is a
> version behind.
> 
> I can do the work for you, if you are pressed for time.  Thank you.
> 
> Version-Release number of selected component (if applicable):
> libsvm-java-3.18-6.fc22

I am not very familiar to maven, so if you can provide required files or patches it will be fantasic.

Comment 2 Jerry James 2014-12-19 23:08:41 UTC
Created attachment 971348 [details]
Patch to install the maven pom

Here is a patch to the spec file that will install the maven pom and depmap.

Comment 3 Jerry James 2015-01-19 21:37:08 UTC
Is there any hope of a build with this patch?  Thank you.

Comment 4 Fedora Update System 2015-01-20 08:39:29 UTC
libsvm-3.20-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/libsvm-3.20-3.fc20

Comment 5 Fedora Update System 2015-01-20 08:39:35 UTC
libsvm-3.20-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/libsvm-3.20-3.el6

Comment 6 Fedora Update System 2015-01-20 08:39:39 UTC
libsvm-3.20-3.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/libsvm-3.20-3.el7

Comment 7 Fedora Update System 2015-01-20 08:40:47 UTC
libsvm-3.20-3.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/libsvm-3.20-3.fc21

Comment 8 Jerry James 2015-01-20 18:19:59 UTC
Thank you for the builds!  I will try them out.

Comment 9 Fedora Update System 2015-01-21 23:04:32 UTC
Package libsvm-3.20-3.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libsvm-3.20-3.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-1005/libsvm-3.20-3.fc20
then log in and leave karma (feedback).

Comment 10 Fedora Update System 2015-01-30 04:30:11 UTC
libsvm-3.20-3.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2015-01-30 04:40:33 UTC
libsvm-3.20-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2015-02-14 02:41:31 UTC
libsvm-3.20-3.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2015-02-14 02:53:26 UTC
libsvm-3.20-3.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.